image: php:8.2

stages:
  - test
  - deploy

variables:
  MYSQL_ROOT_PASSWORD: root
  MYSQL_USER: mvonline
  MYSQL_PASSWORD: password
  MYSQL_DATABASE: mvonline_test

services:
  - mysql:latest

before_script:
  - apt-get update && apt-get install -y unzip git
  - docker-php-ext-install pdo_mysql sockets
  # Install Composer
  - curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer


test:
  stage: test
  script:
    - cp .env.gitlab .env
    - composer install --no-ansi --no-interaction --no-progress --no-scripts --optimize-autoloader
    - php artisan key:generate
    - php artisan migrate --seed --force
    - php artisan test